#include "vision.h"
#include <bits/stdc++.h>
#define pb push_back
#define eb emplace_back
#define ll long long
using namespace std;
const int N=2e5+5;

vector<int> getVisionPattern1d()
{
    return {1,2,3};
}
int getMove1d(vector<int> v)
{
    if((int)v.size()==3)
    {
        if(v.back()==2) return 2;
        else return 0;
    }
    else if((int)v.size()==5)
    {
        if(v.back()==1) return 4;
        else return 0;
    }
    else
    {
        if(v[5]==2) return 6;
        else return 0;
    }
}

vector<vector<int>> getVisionPattern2d()
{

}
pair<int,int> getMove2d(vector<vector<int>> v)
{

}
